org.springframework.batch.integration.chunk

## Class AsynchronousFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.batch.item.ItemWriterException
        - - org.springframework.batch.integration.chunk.AsynchronousFailureException

- All Implemented Interfaces:
    java.io.Serializable

      public class AsynchronousFailureException
      extends ItemWriterException

  Exception indicating that a failure or early completion condition was detected in a remote worker.
  Author:
    Dave Syer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsynchronousFailureException(java.lang.String message)` Create a new `AsynchronousFailureException` based on a message.
    `AsynchronousFailureException(java.lang.String message, java.lang.Throwable cause)` Create a new `AsynchronousFailureException` based on a message and another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AsynchronousFailureException

          public AsynchronousFailureException(java.lang.String message,
                                              java.lang.Throwable cause)

      Create a new `AsynchronousFailureException` based on a message and another exception.
      Parameters:
        `message` - the message for this exception
        `cause` - the other exception

    - #### AsynchronousFailureException

          public AsynchronousFailureException(java.lang.String message)

      Create a new `AsynchronousFailureException` based on a message.
      Parameters:
        `message` - the message for this exception